Chuyển đến nội dung
Diễn đàn CADViet

Các bài được khuyến nghị

Mình tìm được cái lisp tính diện tích trên diễn đàn như sau(file đính kèm).

Mình muốn các Pro sửa dùm một tý cho phù hợp cho phù hợp với ý muốn:

1. Diện tích xuất ra có MÀU ĐỎ

2. Vị tri xuất diện tích theo chỉ điểm(pick).

Cảm ơn các Pro nhiều !

AREA_ae.LSP

  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
4 giờ trước, alisp đã nói:

Chỉ sửa theo yêu cầu, những chỗ khác ko đụng đến.

AREA_ae1.LSP

Cảm ơn Pro !

Làm ơn viết thêm cho tý là: pick điểm tới đâu thì hatch luôn tới đó để tránh pick thiếu.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

File cad đời cao hơn 2007 mở không được. Dự là do height của text hiện hành bằng 0 nên lỗi xuất text.

  • Like 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
5 phút trước, duy782006 đã nói:

File cad đời cao hơn 2007 mở không được. Dự là do height của text hiện hành bằng 0 nên lỗi xuất text.

Nhờ Pro viết lại cho cad 2010. Trân trọng cảm ơn !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

File cad của bạn đời cao, tôi dùng cad2007 mở không được nên dự đoán lỗi như trên chứ ko phải cad đời cao hơn cad2007 không hiểu lisp này.

  • Like 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Vừa xong, duy782006 đã nói:

File cad của bạn đời cao, tôi dùng cad2007 mở không được nên dự đoán lỗi như trên chứ ko phải cad đời cao hơn cad2007 không hiểu lisp này.

Vậy để mình chuyển nó về cad 2007. Pro xem giúp 

TNCT Km318-Km319 2007.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn đổi textstyle hiện hành thành cái khác standard (các textstyle có height là 0.00) mà chạy được thì là tôi đoán đúng chỉ cần sửa 1 dòng là xong. Do cad tôi có nhiều lisp chỉnh thông số mặc định nên file cad và lisp của bạn tôi dùng thử vẫn được.

  • Like 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
2 giờ trước, duy782006 đã nói:

Bạn đổi textstyle hiện hành thành cái khác standard (các textstyle có height là 0.00) mà chạy được thì là tôi đoán đúng chỉ cần sửa 1 dòng là xong. Do cad tôi có nhiều lisp chỉnh thông số mặc định nên file cad và lisp của bạn tôi dùng thử vẫn được.

Đổi textstyle có height =0 thì chạy được Pro ơi !

Giúp minh với. Mình mù về công nghệ(sinh năm 1967). Cảm ơn nhiều !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
31 phút trước, lephuocly đã nói:

Đổi textstyle có height =0 thì chạy được Pro ơi !

Giúp minh với. Mình mù về công nghệ(sinh năm 1967). Cảm ơn nhiều !

Chào!

Mình có chỉnh sửa 1 chút. Bạn thử xem sao nhé.

 

(defun C:ae(/ N SS1 NUM EN CO)
  (if (not "acadapp.exp") (xload "acadapp.exp"))
  (setq N 0 co (getvar 'cecolor) SS1 (ssadd))
  (command "layer" "s" DiTi "")
  (setq PT1 (getpoint "\n Chon diem trong vung can tinh dien tich:") inra pt1)
  (command "BPOLY" PT1 "")
  (setq SS1 (ssadd (entlast) SS1) NUM (sslength SS1))
  (command ".area" "a" "e")
  (while (/= NUM N) (setq EN (ssname SS1 N)) (command EN)(setq N (1+ N)))
  (command "" "") (command "redraw")
  (setq SS nil) (prin1)
  (setq val (* 1 (getvar "area")))
  (princ "Gia tri la : ") (princ val)
  (prin1) (setvar 'cecolor "1")
  ;(command "TEXT" (getpoint)  "" "" (rtos val 2 2))
  (command "TEXT" pt1 0.2 (rtos val 2 2))
  (setvar 'cecolor co) (princ)
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
13 phút trước, DuongTrungHuy đã nói:

Chào!

Mình có chỉnh sửa 1 chút. Bạn thử xem sao nhé.

 

(defun C:ae(/ N SS1 NUM EN CO)
  (if (not "acadapp.exp") (xload "acadapp.exp"))
  (setq N 0 co (getvar 'cecolor) SS1 (ssadd))
  (command "layer" "s" DiTi "")
  (setq PT1 (getpoint "\n Chon diem trong vung can tinh dien tich:") inra pt1)
  (command "BPOLY" PT1 "")
  (setq SS1 (ssadd (entlast) SS1) NUM (sslength SS1))
  (command ".area" "a" "e")
  (while (/= NUM N) (setq EN (ssname SS1 N)) (command EN)(setq N (1+ N)))
  (command "" "") (command "redraw")
  (setq SS nil) (prin1)
  (setq val (* 1 (getvar "area")))
  (princ "Gia tri la : ") (princ val)
  (prin1) (setvar 'cecolor "1")
  ;(command "TEXT" (getpoint)  "" "" (rtos val 2 2))
  (command "TEXT" pt1 0.2 (rtos val 2 2))
  (setvar 'cecolor co) (princ)
)

Cảm ơn bạn ! Nhưng cái này xử lý sao đây, mình mù về công nghệ. Hay nói khác đi là làm sao chuyển về *.lsp

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
3 phút trước, lephuocly đã nói:

Có cái gì đó không ổn bạn ơi ! Kiểm tra lại giúp mình .

Nó xuất ra text chứ không phải diện tích

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bị sao anh. máy em chạy ầm ầm í mà. copy dòng command lên khám xem.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chịu. Máy nhà và cơ quan cad2007 file cad và lisp này chạy ầm ầm. Em xin dừng ở đây.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

×